{ config, lib, ... }:
{
  imports = [ ./nginx ];

  config = lib.mkIf config.services.owncast.enable {
    services.owncast = {
      port = 8060;
      rtmp-port = 1945;
    };
    networking.firewall.extraInputRules = with config.services.mycelium.ips; ''
      ip6 saddr ${tower} tcp dport 1935 accept
    '';
    environment.persistence."/persist".directories = [ "/var/lib/owncast" ];
  };
}
